Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
pdumodel::OutletGroupManager Interface Reference

Outlet group manager interface. More...

`import "OutletGroupManager.idl";`

## Classes
struct | GroupCreatedEvent
| Event: A new outlet group has been created. More...
struct | GroupDeletedEvent
| Event: An outlet group has been deleted. More...

## Public Member Functions
int | createGroup (in string name, in vector< Outlet > members, out OutletGroup group)
| Create a new outlet group.
map< int, OutletGroup > | getAllGroups ()
| Retrieve the list of outlet groups.
int | getGroup (in int id, out OutletGroup group)
| Retrieve a specific outlet group.
int | deleteGroup (in int id)
| Delete an outlet group.

## Public Attributes
constant int | ERR_INVALID_ARGUMENT = 1
constant int | ERR_NO_SUCH_ID = 2
constant int | ERR_MAX_GROUP_COUNT_REACHED = 3

## Detailed Description

Outlet group manager interface.

Definition at line 15 of file OutletGroupManager.idl.

## Member Function Documentation

## ◆ createGroup()

int pdumodel::OutletGroupManager::createGroup | ( | in string | name,
|  | in vector< Outlet > | members,
|  | out OutletGroup | group )

Create a new outlet group.

Parameters

  name | New group name
  members | List of member outlets
  group | Result: Reference to newly created group; null in case of error

Returns
  0 if OK
  1 if any parameters are invalid
  3 if the maximum number of groups has been reached

## ◆ deleteGroup()

int pdumodel::OutletGroupManager::deleteGroup | ( | in int | id | ) |

Delete an outlet group.

Parameters

  id | The ID of the group to delete

Returns
  0 if OK
  2 if no group with the given ID exists

## ◆ getAllGroups()

map< int, OutletGroup > pdumodel::OutletGroupManager::getAllGroups | ( |  | ) |

Retrieve the list of outlet groups.

Returns
  Map of outlet groups, indexed by group ID

## ◆ getGroup()

int pdumodel::OutletGroupManager::getGroup | ( | in int | id,
|  | out OutletGroup | group )

Retrieve a specific outlet group.

Parameters

  id | The ID of the requested group
  group | Result: requested outlet group; null if not found

Returns
  0 if OK
  2 if no group with the given ID exists

## Member Data Documentation

## ◆ ERR_INVALID_ARGUMENT

constant int pdumodel::OutletGroupManager::ERR_INVALID_ARGUMENT = 1

Definition at line 16 of file OutletGroupManager.idl.

## ◆ ERR_MAX_GROUP_COUNT_REACHED

constant int pdumodel::OutletGroupManager::ERR_MAX_GROUP_COUNT_REACHED = 3

Definition at line 18 of file OutletGroupManager.idl.

## ◆ ERR_NO_SUCH_ID

constant int pdumodel::OutletGroupManager::ERR_NO_SUCH_ID = 2

Definition at line 17 of file OutletGroupManager.idl.

The documentation for this interface was generated from the following file:

- OutletGroupManager.idl